init.addinfo {sma} | R Documentation

## Adding Information to a Data Structure for Multi-slide Microarray Experiments

### Description

Interactive function which adds other information generated from the output of image analysis software for microarrays to the existing data structure created using `init.data`.

### Usage

    init.addinfo(batch, attri, dataname=NULL, ...)

### Arguments

`batch` | Character string, this refers to the name of a collection of experiments.
`attri` | Character string, the name of the information to be included in the data structure. For example, from the output of tt{Spot}, this argument can be "area", "signal to noise" etc. In other words, these are the column headings from the raw data set.
`dataname` | A name of your experimental data. By default it's named "batch.exp" where batch is the name of the collection of experiments you are interested in.
`...` | Other arguments

### Value

List containing the following component:

`R` | contains the raw red intensities, R.
`G` | contains the raw green intensities, G.
`Rb` | contains the background red intensities, Rb.
`Gb` | contains the background green intensities, Gb.

as well as information from other users selected columns information.

### Warning

The code in the example is not directly executable as it draws upon a particular set of data. This data may be downloaded from http://www.stat.berkeley.edu/users/terry/zarray/Software/smacode.html and when loaded appropriately into the user's directory, this example should be executable in its current form.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu
Natalie Roberts nroberts@wehi.edu.au

### Examples

    ## mouse.data <- init.addinfo("mouse", "area")

[Package sma version 0.5.14 Index]